4Suite™ API Documentation

# ► Module Ft.Xml.Xslt.XsltContext

Context and state information for XSLT processing

    Copyright 2003 Fourthought, Inc. (USA).
    Detailed license and copyright information: http://4suite.org/COPYRIGHT
    Project home, documentation, distributions: http://4suite.org/

Classes: XsltContext |  |  |  | Globals: EMPTY_NAMESPACE

## Classes

class XsltContext(Ft.Xml.XPath.Context.Context)

  ### Methods

  __init__(self, node, position=1, size=1, currentNode=None, varBindings=None, processorNss=None, stylesheet=None, processor=None, mode=None, extModuleList=None, extFunctionMap=None)
    Overrides: __init__ from class Context
  __repr__(self)
    Overrides: __repr__ from class Context
  addDocument(self, document, documentUri=None)
  clone(self)
    Overrides: clone from class Context
  expandQName(self, qname)
  setProcessState(self, execNode)
  splitQName(self, qname)

  ### Methods inherited from class Ft.Xml.XPath.Context.Context

  addFunction, copy, set

  ### Members

  functions = {(None, 'boolean'): <function Boolean at 0xb76e08b4>, (None, 'ceiling'): <function Ceiling at 0xb76e0a74>, (None, 'concat'): <function Concat at 0xb76d57d4>, (None, 'contains'): <function Contains at 0xb76e072c>, (None, 'count'): <function Count at 0xb76d564c>, (None, 'current'): <function Current at 0xb75e31ec>, (None, 'document'): <function Document at 0xb75d4d4c>, (None, 'element-available'): <function ElementAvailable at 0xb75e3304>, (None, 'false'): <function False at 0xb76e095c>, (None, 'floor'): <function Floor at 0xb76e0a3c>, ...}

  ### Members inherited from class Ft.Xml.XPath.Context.Context

  currentInstruction

## Globals

EMPTY_NAMESPACE = None